<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 15</title>
</head>
<body>
	<script type="text/javascript">
		let h, m, s;
		

		h=Number(prompt('Introduzca la hora'));
		m=Number(prompt('Introduzca los minutos'));
		s=Number(prompt('Introduzca los segundos'));

		
		if (s==59) {
			s='00';
			m=m+1;
			if (m>59){
				m='00';
				if (h==23) {
					h='00';					
				} else {
					h=h+1;
				}
			} 
		} else {
			s=s+1;
		}

/*
		if (h==23 && m==59 && s==59) {
			s='00';
			m='00';
			h='00';
		} else if (s==59 && m==59){
			s='00';
			m='00';
			h=h+1;
		} else if (s==59){
			s='00';
			m=m+1;
		} else {
			s=s+1;
		}
*/		
		document.write(h,":",m,":",s);
		

	</script>
</body>
</html>